%define		_class		LiveUser
%define		_subclass	Admin
%define		_status		beta
%define		_pearname	LiveUser_Admin
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - user authentication and permission management framework
Summary(pl.UTF-8):	%{_pearname} - uwierzytelnianie użytkowników i zarządzanie uprawnieniami
Name:		php-pear-%{_pearname}
Version:	0.4.0
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	01f630fa8b9ac2c2005d928bef1f405b
URL:		http://pear.php.net/package/LiveUser_Admin/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Requires:	php-pear-LiveUser >= 0.16.12
Requires:	php-pear-PEAR-core >= 1:1.3.1
Suggests:	php-pear-Crypt_RC4
Suggests:	php-pear-DB >= 1.6.0
Suggests:	php-pear-Log >= 1.7.0
Suggests:	php-pear-MDB >= 1:1.1.4
Suggests:	php-pear-MDB2 >= 1:2.1.0
Suggests:	php-pear-XML_Tree
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Crypt/RC4.*) pear(DB.*) pear(Log.*) pear(MDB.*) pear(MDB2.*) pear(XML/Tree.*)

%description
LiveUser_Admin is meant to be used with the LiveUser package. It is
composed of all the classes necessary to administrate data used by
LiveUser.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
LiveUser_Admin przeznaczony jest do używania wraz z klasą LiveUser.
Składa się ze wszystkich klas potrzebnych do administracji danymi
używanymi przez klasę LiveUser.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/LiveUser/*.php
%{php_pear_dir}/LiveUser/Admin
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 12d734f
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Sat Oct 09 2010 Elan Ruusamäe <glen@pld-linux.org> 7a5628b
- updated to: 0.4.0

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> e4700bc
- updated deps with pearize.sh
- release 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 0260ac4
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 28397fb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 60b77eb
- converted to UTF-8

* Sat Sep 02 2006 Adam Gołębiowski <adamg@pld-linux.org> c8099d6
- upadted to 0.3.9

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> e5fd664
- BR rpm-build macros >= 1.300 for %pear_ macros

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> 5c21c66
- updated to 0.3.8

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> e480fd4
- 0.3.7

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> dc0ec5b
- rel 4 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 4eaa0cb
- BR php-pear-PEAR

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> 7daa5ec
- require php-pear-PEAR-core, not the full PEAR package with deps

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 46461c7
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 6dfa04d
- semi automatically added deps from pear

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> 01405d8
- new pear packaging (fixed %files); rel 2

* Sun Sep 04 2005 Adam Gołębiowski <adamg@pld-linux.org> 3d135ea
- updated to 0.3.4

* Sun Aug 21 2005 Adam Gołębiowski <adamg@pld-linux.org> 904b660
- updated to 0.3.3

* Sun Apr 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 8e4c230
- updated to 0.2.1

* Mon Mar 21 2005 Adam Gołębiowski <adamg@pld-linux.org> b331d19
- updated to 0.2.0

